DoubleAlphabet.DoubleRange (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.DoubleAlphabet.DoubleRange class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class DoubleAlphabet.DoubleRange

    java.lang.Object
      org.biojava.utils.Unchangeable
          org.biojava.bio.symbol.DoubleAlphabet.DoubleRange

All Implemented Interfaces:
  Serializable, Annotatable, BasisSymbol, Symbol, Changeable

Enclosing class:
  DoubleAlphabet

    public static class DoubleAlphabet.DoubleRange

extends Unchangeable
implements BasisSymbol, Serializable

A range of double values.

Author:
  Matthew Pocock
See Also:
  Serialized Form
For general use:
  Get these via `DoubleAlphabet.getSymbol(double, double)`.

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`protected` | `DoubleAlphabet.DoubleRange(double minVal, double maxVal)`

Method Summary
`Annotation` | `getAnnotation()` Should return the associated annotation object.
`Alphabet` | `getMatches()` The alphabet containing the symbols matched by this ambiguity symbol.
`double` | `getMaxValue()`
`double` | `getMinValue()`
`String` | `getName()` The long name for the symbol.
`List` | `getSymbols()` The list of symbols that this symbol is composed from.

Methods inherited from class org.biojava.utils.Unchangeable
`addChangeListener, addChangeListener, addForwarder, getForwarders, getListeners, isUnchanging, removeChangeListener, removeChangeListener, removeForwarder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### DoubleAlphabet.DoubleRange

    protected DoubleAlphabet.DoubleRange(double minVal,
                                         double maxVal)

Method Detail

### getAnnotation

    public Annotation getAnnotation()

  Description copied from interface: `Annotatable`
  Should return the associated annotation object.

  Specified by:
    `getAnnotation` in interface `Annotatable`
  Returns:
    an Annotation object, never null

### getName

    public String getName()

  Description copied from interface: `Symbol`
  The long name for the symbol.

  Specified by:
    `getName` in interface `Symbol`
  Returns:
    the long name

### getMatches

    public Alphabet getMatches()

  Description copied from interface: `Symbol`
  The alphabet containing the symbols matched by this ambiguity symbol.

  This alphabet contains all of, and only, the symbols matched by this symbol. For example, the symbol representing the DNA ambiguity code for W would contain the symbol for A and T from the DNA alphabet.

  Specified by:
    `getMatches` in interface `Symbol`
  Returns:
    the Alphabet of symbols matched by this symbol

### getSymbols

    public List getSymbols()

  Description copied from interface: `BasisSymbol`

  The list of symbols that this symbol is composed from.

  In the usual case, this list will contain just this single symbol. In the case where a symbol represents an ordered combination of other symbols, the list will contain each of these BasisSymbols.

  Specified by:
    `getSymbols` in interface `BasisSymbol`
  Returns:
    the List of Symbols that this Symbol is built from

### getMinValue

    public double getMinValue()

### getMaxValue

    public double getMaxValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD